Error message when you run an integration in Integration Manager for Microsoft Dynamics GP: "Operation must use an updateable query"

Symptoms

When you run an integration in Integration Manager for Microsoft Dynamics GP, you receive the following error message:

Operation must use an updateable query.

Cause

This issue occurs when you have insufficient Windows permissions to read and to write to the location where the Integration database or the source files are stored.

Resolution

You must have the Modify permission for the location of Integration Manager and the source files. This lets you edit, create, and delete the existing files.


To resolve this issue, follow these steps:

  1. Right-click the folder where the Integration database and the source files are located, and then click Properties.

  2. Click the Security tab.

  3. Under Group or user names, click the user or the group that is experiencing the issue.

  4. Under Permissions for User Name, make sure that the Modify check box is selected in the Allow column.

  5. Click OK to save the changes.

Need more help?

Expand your skills
Explore Training
Get new features first
Join Microsoft Insiders

Was this information helpful?

Thank you for your feedback!

Thank you for your feedback! It sounds like it might be helpful to connect you to one of our Office support agents.

×